### Property

# Ide GreeterWorkspace:selection-mode

#### Declaration

    property selection-mode: gboolean [ read, write ]

#### Description

The “selection-mode” property indicates if the workspace allows selecting existing projects and removing them, including source files and cached data.

This is usually used by the checkmark button to toggle selections.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_greeter_workspace_set_selection_mode()`
Getter method | `ide_greeter_workspace_get_selection_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no